package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseScheduleTeacherSalary;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class MusicGroupCourseScheduleDto {

    @ApiModelProperty(value = "课程编号")
    private Integer courseScheduleId;
    
    @ApiModelProperty(value = "课程名称")
    private String courseScheduleName;

    @ApiModelProperty(value = "上课日期",required = false)
    private String classDate;

    @ApiModelProperty(value = "上课时间",required = false)
    private String startClassTime;

    @ApiModelProperty(value = "上课时间字符串",required = false)
    private String startClassTimeStr;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endClassTime;

    @ApiModelProperty(value = "结束时间字符串",required = false)
    private String endClassTimeStr;


    @ApiModelProperty(value = "合奏班编号",required = false)
    private Integer mixClassGroupId;

    @ApiModelProperty(value = "合奏班名称",required = false)
    private String mixClassGroupName;

    @ApiModelProperty(value = "班级编号",required = false)
    private Integer classGroupId;

    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "课程类型",required = false)
    private String courseScheduleType;

    @ApiModelProperty(value = "课程状态",required = false)
    private String courseScheduleStatus;

    @ApiModelProperty(value = "签到时间")
    private Date signInTime;

    @ApiModelProperty(value = "签到状态",required = false)
    private String signInStatus;

    @ApiModelProperty(value = "签退时间")
    private Date signOutTime;

    @ApiModelProperty(value = "签退状态",required = false)
    private String signOutStatus;

    @ApiModelProperty(value = "结算时间",required = false)
    private Date settlementTime;

    @ApiModelProperty(value = "主教老师编号")
    private Integer masterTeacherId;

    @ApiModelProperty(value = "主教老师",required = false)
    private String masterTeacherName;

    @ApiModelProperty(value = "助教老师",required = false)
    private List<CourseScheduleTeacherSalary> teachingTeachers;

    @ApiModelProperty(value = "老师人数",required = false)
    private Integer teacherNum;

    @ApiModelProperty(value = "签到备注")
    private String remark;

    private YesOrNoEnum isCallNames;
    
    private Integer schoolId;

    public YesOrNoEnum getIsCallNames() {
        return isCallNames;
    }

    public void setIsCallNames(YesOrNoEnum isCallNames) {
        this.isCallNames = isCallNames;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Date settlementTime) {
        this.settlementTime = settlementTime;
    }

    public String getStartClassTimeStr() {
        return startClassTimeStr;
    }

    public void setStartClassTimeStr(String startClassTimeStr) {
        this.startClassTimeStr = startClassTimeStr;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public String getEndClassTimeStr() {
        return endClassTimeStr;
    }

    public void setEndClassTimeStr(String endClassTimeStr) {
        this.endClassTimeStr = endClassTimeStr;
    }

    public Integer getTeacherNum() {
        return teacherNum;
    }

    public void setTeacherNum(Integer teacherNum) {
        this.teacherNum = teacherNum;
    }

    public List<CourseScheduleTeacherSalary> getTeachingTeachers() {
        return teachingTeachers;
    }

    public void setTeachingTeachers(List<CourseScheduleTeacherSalary> teachingTeachers) {
        this.teachingTeachers = teachingTeachers;
    }

    public Integer getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Integer courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getMasterTeacherId() {
        return masterTeacherId;
    }

    public void setMasterTeacherId(Integer masterTeacherId) {
        this.masterTeacherId = masterTeacherId;
    }

    public String getMixClassGroupName() {
        return mixClassGroupName;
    }

    public void setMixClassGroupName(String mixClassGroupName) {
        this.mixClassGroupName = mixClassGroupName;
    }

    public Integer getMixClassGroupId() {
        return mixClassGroupId;
    }

    public void setMixClassGroupId(Integer mixClassGroupId) {
        this.mixClassGroupId = mixClassGroupId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public String getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(String courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public String getCourseScheduleStatus() {
        return courseScheduleStatus;
    }

    public void setCourseScheduleStatus(String courseScheduleStatus) {
        this.courseScheduleStatus = courseScheduleStatus;
    }

    public String getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(String signInStatus) {
        this.signInStatus = signInStatus;
    }

    public String getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(String signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getMasterTeacherName() {
        return masterTeacherName;
    }

    public void setMasterTeacherName(String masterTeacherName) {
        this.masterTeacherName = masterTeacherName;
    }

	public String getCourseScheduleName() {
		return courseScheduleName;
	}

	public void setCourseScheduleName(String courseScheduleName) {
		this.courseScheduleName = courseScheduleName;
	}

	public Integer getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Integer schoolId) {
		this.schoolId = schoolId;
	}

}
